Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIRequest

All Superinterfaces:
  org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIObject, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Implementing Classes:
  OAIRequestImpl

    public interface OAIRequest

extends OAIObject

Defines the essentials of an oai request

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary
`static java.lang.String` | `PARAM_NAME_GRANULARITY`
`static java.lang.String` | `PARAM_NAME_USE_OAI_LAST_HARVEST_DATE`
`static java.lang.String` | `URL_CHARACTER_AMPERSAND`
`static java.lang.String` | `URL_CHARACTER_EQUALS`
`static java.lang.String` | `URL_CHARACTER_QUESTION_MARK`
`static java.lang.String` | `URL_PARAM_NAME_FROM`
`static java.lang.String` | `URL_PARAM_NAME_IDENTIFIER`
`static java.lang.String` | `URL_PARAM_NAME_METADATA_PREFIX`
`static java.lang.String` | `URL_PARAM_NAME_RESUMPTION_TOKEN`
`static java.lang.String` | `URL_PARAM_NAME_SET`
`static java.lang.String` | `URL_PARAM_NAME_UNTIL`
`static java.lang.String` | `URL_PARAM_NAME_VERB`
`static int` | `VERB_GET_RECORD`
`static int` | `VERB_IDENTIFY`
`static int` | `VERB_LIST_IDENTIFIERS`
`static int` | `VERB_LIST_METADATA_FORMATS`
`static int` | `VERB_LIST_RECORDS`
`static int` | `VERB_LIST_SETS`
`static java.lang.String` | `VERB_STRING_GET_RECORD`
`static java.lang.String` | `VERB_STRING_IDENTIFY`
`static java.lang.String` | `VERB_STRING_LIST_IDENTIFIERS`
`static java.lang.String` | `VERB_STRING_LIST_METADATA_FORMATS`
`static java.lang.String` | `VERB_STRING_LIST_RECORDS`
`static java.lang.String` | `VERB_STRING_LIST_SETS`
`static int` | `VERB_UNKNOWN`
`static java.lang.String` | `verbId`

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Method Summary
`java.lang.String` | `getFrom()` Gets the parameter of the request
`java.lang.String` | `getGranularity()` Gets the parameter of the request
`java.lang.String` | `getIdentifier()` Gets the parameter of the request
`java.lang.String` | `getMetadataPrefix()` Gets the parameter of the request
`java.lang.String` | `getRepositoryURL()` Gets the repository url of this request
`org.apache.cocoon.environment.Request` | `getRequest()` Gets the request
`java.lang.String` | `getRequestURL()` Gets the url of this request
`java.lang.String` | `getResumptionToken()` Sets the parameters of the request
`java.lang.String` | `getSetIdentifier()` Gets the parameter of the request
`java.lang.String` | `getUntil()` Gets the parameter of the request
`boolean` | `getUseLastHarvestDate()` Gets the parameter of the request
`int` | `getVerb()` Gets the verb int value
`java.lang.String` | `getVerbId()` Gets the verb int value
`java.lang.String` | `getVerbString()` Returns the the verb name
`void` | `setFrom(java.lang.String fromDate)` Sets the parameter of the request
`void` | `setGranularity(java.lang.String granularity)` Sets the parameter of the request
`void` | `setIdentifier(java.lang.String identifier)` Sets the parameter of the request
`void` | `setMetadataPrefix(java.lang.String metadataPrefix)` Sets the parameter of the request
`void` | `setRepositoryURL(java.lang.String url)` Sets the repository url of this request
`void` | `setRequest(org.apache.cocoon.environment.Request coocoonRequest)` Sets the request
`void` | `setRequestURL(java.lang.String url)` Sets the url of this request
`void` | `setResumptionToken(java.lang.String resumptionToken)` Sets the parameter of the request
`void` | `setSetIdentifier(java.lang.String setIdentifier)` Sets the parameter of the request
`void` | `setUntil(java.lang.String untilDate)` Sets the parameter of the request
`void` | `setUseLastHarvestDate(boolean useLastHarvestDate)` Sets the parameter of the request
`void` | `setVerb(int verb)` Sets the verb int value
`void` | `setVerbId(java.lang.String verbId)` Sets the verb int value
`void` | `setVerbString(java.lang.String verbString)` Set's the the verb name
`void` | `toSAX(org.xml.sax.ContentHandler handler, boolean sendRequestParams)` Sends the appropriate SAX event reprensentation of the request for an oai response to the provide handler

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### VERB_UNKNOWN

    static final int VERB_UNKNOWN

See Also:
  Constant Field Values

### VERB_IDENTIFY

    static final int VERB_IDENTIFY

See Also:
  Constant Field Values

### VERB_STRING_IDENTIFY

    static final java.lang.String VERB_STRING_IDENTIFY

See Also:
  Constant Field Values

### VERB_LIST_SETS

    static final int VERB_LIST_SETS

See Also:
  Constant Field Values

### VERB_STRING_LIST_SETS

    static final java.lang.String VERB_STRING_LIST_SETS

See Also:
  Constant Field Values

### VERB_LIST_METADATA_FORMATS

    static final int VERB_LIST_METADATA_FORMATS

See Also:
  Constant Field Values

### VERB_STRING_LIST_METADATA_FORMATS

    static final java.lang.String VERB_STRING_LIST_METADATA_FORMATS

See Also:
  Constant Field Values

### VERB_LIST_IDENTIFIERS

    static final int VERB_LIST_IDENTIFIERS

See Also:
  Constant Field Values

### VERB_STRING_LIST_IDENTIFIERS

    static final java.lang.String VERB_STRING_LIST_IDENTIFIERS

See Also:
  Constant Field Values

### VERB_LIST_RECORDS

    static final int VERB_LIST_RECORDS

See Also:
  Constant Field Values

### VERB_STRING_LIST_RECORDS

    static final java.lang.String VERB_STRING_LIST_RECORDS

See Also:
  Constant Field Values

### VERB_GET_RECORD

    static final int VERB_GET_RECORD

See Also:
  Constant Field Values

### VERB_STRING_GET_RECORD

    static final java.lang.String VERB_STRING_GET_RECORD

See Also:
  Constant Field Values

### verbId

    static final java.lang.String verbId

### PARAM_NAME_USE_OAI_LAST_HARVEST_DATE

    static final java.lang.String PARAM_NAME_USE_OAI_LAST_HARVEST_DATE

See Also:
  Constant Field Values

### PARAM_NAME_GRANULARITY

    static final java.lang.String PARAM_NAME_GRANULARITY

See Also:
  Constant Field Values

### URL_CHARACTER_QUESTION_MARK

    static final java.lang.String URL_CHARACTER_QUESTION_MARK

See Also:
  Constant Field Values

### URL_CHARACTER_AMPERSAND

    static final java.lang.String URL_CHARACTER_AMPERSAND

See Also:
  Constant Field Values

### URL_CHARACTER_EQUALS

    static final java.lang.String URL_CHARACTER_EQUALS

See Also:
  Constant Field Values

### URL_PARAM_NAME_VERB

    static final java.lang.String URL_PARAM_NAME_VERB

See Also:
  Constant Field Values

### URL_PARAM_NAME_IDENTIFIER

    static final java.lang.String URL_PARAM_NAME_IDENTIFIER

See Also:
  Constant Field Values

### URL_PARAM_NAME_FROM

    static final java.lang.String URL_PARAM_NAME_FROM

See Also:
  Constant Field Values

### URL_PARAM_NAME_UNTIL

    static final java.lang.String URL_PARAM_NAME_UNTIL

See Also:
  Constant Field Values

### URL_PARAM_NAME_SET

    static final java.lang.String URL_PARAM_NAME_SET

See Also:
  Constant Field Values

### URL_PARAM_NAME_METADATA_PREFIX

    static final java.lang.String URL_PARAM_NAME_METADATA_PREFIX

See Also:
  Constant Field Values

### URL_PARAM_NAME_RESUMPTION_TOKEN

    static final java.lang.String URL_PARAM_NAME_RESUMPTION_TOKEN

See Also:
  Constant Field Values

Method Detail

### setRepositoryURL

    void setRepositoryURL(java.lang.String url)

  Sets the repository url of this request

### getRepositoryURL

    java.lang.String getRepositoryURL()

  Gets the repository url of this request

### setRequestURL

    void setRequestURL(java.lang.String url)

  Sets the url of this request

### getRequestURL

    java.lang.String getRequestURL()

  Gets the url of this request

### setRequest

    void setRequest(org.apache.cocoon.environment.Request coocoonRequest)

  Sets the request

### getRequest

    org.apache.cocoon.environment.Request getRequest()

  Gets the request

### setVerb

    void setVerb(int verb)

  Sets the verb int value

### getVerb

    int getVerb()

  Gets the verb int value

### setVerbId

    void setVerbId(java.lang.String verbId)

  Sets the verb int value

### getVerbId

    java.lang.String getVerbId()

  Gets the verb int value

### getIdentifier

    java.lang.String getIdentifier()

  Gets the parameter of the request

### setIdentifier

    void setIdentifier(java.lang.String identifier)

  Sets the parameter of the request

### getMetadataPrefix

    java.lang.String getMetadataPrefix()

  Gets the parameter of the request

### setMetadataPrefix

    void setMetadataPrefix(java.lang.String metadataPrefix)

  Sets the parameter of the request

### getUseLastHarvestDate

    boolean getUseLastHarvestDate()

  Gets the parameter of the request

### setUseLastHarvestDate

    void setUseLastHarvestDate(boolean useLastHarvestDate)

  Sets the parameter of the request

### getGranularity

    java.lang.String getGranularity()

  Gets the parameter of the request

### setGranularity

    void setGranularity(java.lang.String granularity)

  Sets the parameter of the request

### getFrom

    java.lang.String getFrom()

  Gets the parameter of the request

### setFrom

    void setFrom(java.lang.String fromDate)

  Sets the parameter of the request

### getUntil

    java.lang.String getUntil()

  Gets the parameter of the request

### setUntil

    void setUntil(java.lang.String untilDate)

  Sets the parameter of the request

### getSetIdentifier

    java.lang.String getSetIdentifier()

  Gets the parameter of the request

### setSetIdentifier

    void setSetIdentifier(java.lang.String setIdentifier)

  Sets the parameter of the request

### getResumptionToken

    java.lang.String getResumptionToken()

  Sets the parameters of the request

### setResumptionToken

    void setResumptionToken(java.lang.String resumptionToken)

  Sets the parameter of the request

### getVerbString

    java.lang.String getVerbString()

  Returns the the verb name

### setVerbString

    void setVerbString(java.lang.String verbString)

  Set's the the verb name

### toSAX

    void toSAX(org.xml.sax.ContentHandler handler,
               boolean sendRequestParams)
               throws org.xml.sax.SAXException

  Sends the appropriate SAX event reprensentation of the request for an oai response to the provide handler

  Parameters:
    `handler` - The handler to feed
    `sendRequestParams` - Whether or not the request params should be sent as attributes (according to error state)
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.